# CreditCardScanningResult class

Contains the result of running the credit card scanner.

## Constructors

CreditCardScanningResult.new({required DocumentDetectionStatus detectionStatus, required CreditCardScanningStatus scanningStatus, required GenericDocument? creditCard, required List<Point<int>> quad, required List<Point<double>> quadNormalized})
CreditCardScanningResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

creditCard → GenericDocument?
  Generic document containing credit card data. Not present, if status is FAIL.
  final
detectionStatus → DocumentDetectionStatus
  The status of the credit card detection step.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
quad → List<Point<int>>
  Coordinates of the detected credit card in the input image (clockwise from top-left).
  final
quadNormalized → List<Point<double>>
  Coordinates of the detected credit card in the input image (clockwise from top-left), normalized to the range `[0, 1]`.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
scanningStatus → CreditCardScanningStatus
  The status of the credit card scanning step.
  final

## Methods

encodeImages() → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
release() → void
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited